package com.pqs9900.pojo.DataInfo;

import com.njcn.sso.pojo.user.User;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.util.Date;

/** @Author denghuajun
 * @Description //TODO 中间件表
 * @Date  2019/3/15 11:10
 **/
@Table(name = "PQS_MIDDRUN")
public class MiddRun {
    @Id
    @Column(name = "MIDD_INDEX")
    private String middIndex;//中间件guid
    @Column(name = "NAME")
    private String name;//中间件名称
    @Column(name = "IP")
    private String ip;//IP
    @Column(name = "PORT" )
    private int port;//端口号
    @Column(name = "UPDATETIME")
    private Date updateTime;//更新时间
    @Column(name = "USER_INDEX")
    private String userIndex;//（关联表PQS_User）处理的用户Guid,可为空

    @Transient
    private User uID;

    public User getuID() {
        return uID;
    }

    public void setuID(User uID) {
        this.uID = uID;
    }

    public String getMiddIndex() {
        return middIndex;
    }

    public void setMiddIndex(String middIndex) {
        this.middIndex = middIndex;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getIp() {
        return ip;
    }

    public void setIp(String ip) {
        this.ip = ip;
    }

    public int getPort() {
        return port;
    }

    public void setPort(int port) {
        this.port = port;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getUserIndex() {
        return userIndex;
    }

    public void setUserIndex(String userIndex) {
        this.userIndex = userIndex;
    }

    @Override
    public String toString() {
        return "MiddRun{" +
                "middIndex='" + middIndex + '\'' +
                ", name='" + name + '\'' +
                ", ip='" + ip + '\'' +
                ", port=" + port +
                ", updateTime=" + updateTime +
                ", userIndex='" + userIndex + '\'' +
                ", uID=" + uID +
                '}';
    }
}
